public class MVCPatternDemo {	
	private static Student retriveStudentFromDatabase(){
	      Student student = new Student();
	      student.setName("Robert");
	      student.setStudentNumber(10);
	      return student;
	}	
   public static void main(String[] args) {

      //fetch student record based on his Student Number from the database
      Student model  = retriveStudentFromDatabase();

      //Create a view : to write student details on console
      StudentView view = new StudentView();

      StudentController controller = new StudentController(model, view);
      controller.updateView();

      //update model data
      controller.setStudentName("John");
      controller.setStudentNumber(11);
      controller.updateView();
   }
   
}
