/**
 * Author: S. Smith
 * Revised: March 17, 2008
 * 
 * Description: Map Abstract object
 */

import java.util.ArrayList;

public class Map
{

   private static ArrayList<EdgeT> s;

   public static void init()
   {
     s = new ArrayList<EdgeT>();
   }

   public static void add(EdgeT e)
   {

     if (contains(e)) 
     {
       throw new ALREADY_IN_MAP("The element being added is already in the map");
     }

     s.add(e);
   }

   public static void del(EdgeT e)
   {
     int i;

     if (!contains(e)) 
     {
       throw new NOT_IN_MAP("The element being deleted is not already in the map");
     }

     i = 0;
     while (i < s.size())
     {
       if (e.equal(s.get(i)))
       {
         s.remove(i);
       }
       i++;
     }
   }

   public static boolean contains(EdgeT e)
   {
     int i;
     boolean containsElm = false;

     for (i = 0; i < s.size(); i++)
     {
       containsElm = containsElm || e.equal(s.get(i));
     }
     
     return containsElm;

   }

}

